test: jul98/test/icm.h File Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# icm.h File Reference

`#include "windows.h"`
`#include "icc.h"`
`#include "icc_i386.h"`

Go to the source code of this file.

## Classes

struct | tagLOGCOLORSPACE
struct | tagICMINFO

## Defines

#define | CMS_GET_VERSION 0x00000000
#define | CMS_GET_IDENT 0x00000001
#define | CMS_GET_DRIVER_LEVEL 0x00000002
#define | CMS_GET_RESERVED 0xFFFFFFFC
#define | CMS_LEVEL_1 0x00000001
#define | CMS_LEVEL_2 0x00000002
#define | CMS_LEVEL_3 0x00000004
#define | CMS_LEVEL_RESERVED 0xFFFFFFFC
#define | CMS_FORWARD 0x00000000
#define | CMS_BACKWARD 0x00000001
#define | CMS_X555WORD 0x00000000
#define | CMS_565WORD 0x00000001
#define | CMS_RGBTRIPLETS 0x00000002
#define | CMS_BGRTRIPLETS 0x00000004
#define | CMS_XRGBQUADS 0x00000008
#define | CMS_XBGRQUADS 0x00000010
#define | CMS_QUADS 0x00000020
#define | LCS_CALIBRATED_RGB 0x00000000
#define | LCS_DEVICE_RGB 0x00000001
#define | LCS_DEVICE_CMYK 0x00000002
#define | LCS_GM_DEFAULT 0x00000000
#define | LCS_GM_BUSINESS 0x00000001
#define | LCS_GM_GRAPHICS 0x00000002
#define | LCS_GM_IMAGES 0x00000004
#define | CM_USE_CS 0x00000001
#define | CM_USE_CRD 0x00000002
#define | CM_SEND_CRD 0x00000004
#define | CM_USE_ICM 0x00000008
#define | CM_CMYK_IN 0x00000010
#define | CM_CMYK_DIB_IN 0x00000020
#define | CM_CMYK_OUT 0x00000040
#define | CM_CMYK CM_CMYK_IN | CM_CMYK_DIB_IN | CM_CMYK_OUT
#define | REVCURVE_RATIO 1
#define | CS_ENABLE 1
#define | CS_DISABLE 2
#define | CS_DELETE_TRANSFORM 3

## Typedefs

typedef HANDLE | HCOLORSPACE
typedef DWORD | HCTMTRANSFORM
typedef tagLOGCOLORSPACE | LOGCOLORSPACE
typedef LOGCOLORSPACE FAR * | LPLOGCOLORSPACE
typedef tagICMINFO | ICMINFO
typedef tagICMINFO * | LPICMINFO

## Enumerations

enum | CSPACESET { CS_DEVICE_RGB = 0, CS_DEVICE_CMYK, CS_CALIBRATED_RGB, CS_SONY_TRINITRON }

## Functions

BOOL FAR PASCAL | EnableICM (HDC, BOOL)
HANDLE FAR PASCAL | LoadImageColorMatcher (LPSTR)
BOOL FAR PASCAL | FreeImageColorMatcher (HANDLE)
int FAR PASCAL | EnumColorProfiles (HDC, FARPROC, LPARAM)
BOOL FAR PASCAL | CheckColorsInGamut (HDC, LPVOID, LPVOID, DWORD)
HANDLE FAR PASCAL | GetColorSpace (HDC)
BOOL FAR PASCAL | GetLogColorSpace (HCOLORSPACE, LPVOID, DWORD)
HCOLORSPACE FAR PASCAL | CreateColorSpace (LPLOGCOLORSPACE)
BOOL FAR PASCAL | SetColorSpace (HDC, HCOLORSPACE)
BOOL FAR PASCAL | DeleteColorSpace (HCOLORSPACE)
BOOL FAR PASCAL | GetColorProfile (HDC, LPSTR, WORD)
BOOL FAR PASCAL | SetColorProfile (HDC, LPSTR)
BOOL FAR PASCAL | GetDeviceGammaRamp (HDC, LPVOID)
BOOL FAR PASCAL | SetDeviceGammaRamp (HDC, LPVOID)
BOOL FAR PASCAL | ColorMatchToTarget (HDC, HDC, WORD)
DWORD _loadds FAR PASCAL | CMGetInfo (DWORD dwInfo)
HCTMTRANSFORM _loadds FAR PASCAL | CMCreateTransform (LPLOGCOLORSPACE lpCS, LPSTR lpDevCh, LPSTR lpTargetDevCh)
BOOL _loadds FAR PASCAL | CMDeleteTransform (HCTMTRANSFORM hTransform)
BOOL _loadds FAR PASCAL | CMTranslateRGB (HCTMTRANSFORM hTransform, RGBQUAD RGBQuad, LPVOID lpResult, DWORD dwFlags)
BOOL _loadds FAR PASCAL | CMTranslateRGBs (HCTMTRANSFORM hTransform, LPVOID lpSrc, DWORD dwSrcFlags, DWORD nSrcWidth, DWORD nSrcHeight, DWORD nSrcStride, LPVOID lpDest, DWORD dwDestFlags, DWORD dwFlags)
BOOL _loadds FAR PASCAL | CMCheckColorsInGamut (HCTMTRANSFORM hTransform, LPVOID lpSrc, LPVOID lpDest, DWORD dwCount)
BOOL _loadds FAR PASCAL | CMGetPS2ColorSpaceArray (LPSTR lpProfileName, DWORD InputIntent, WORD InpDrvClrSp, MEMPTR lpBuffer, LPDWORD lpcbSize, BOOL AllowBinary)
BOOL _loadds FAR PASCAL | CMGetPS2ColorRenderingDictionary (LPSTR lpProfileName, DWORD Intent, MEMPTR lpMem, LPDWORD lpcbSize, BOOL AllowBinary)
BOOL _loadds FAR PASCAL | CMGetPS2ColorRenderingIntent (LPSTR lpProfileName, DWORD Intent, MEMPTR lpMem, LPDWORD lpcbSize)
HCTMTRANSFORM _loadds FAR PASCAL | ICMCreateTransform (LPLOGCOLORSPACE lpCS, LPSTR lpDevCh, LPSTR lpTargetDevCh)
BOOL _loadds FAR PASCAL | ICMDeleteTransform (HCTMTRANSFORM hTransform)
BOOL _loadds FAR PASCAL | ICMTranslateRGB (HCTMTRANSFORM hTransform, RGBQUAD RGBQuad, LPVOID lpResult, DWORD dwFlags)
BOOL _loadds FAR PASCAL | ICMTranslateRGBs (HCTMTRANSFORM hTransform, LPVOID lpSrc, DWORD dwSrcFlags, DWORD nSrcWidth, DWORD nSrcHeight, DWORD nSrcStride, LPVOID lpDest, DWORD dwDestFlags, DWORD dwFlags)
BOOL _loadds FAR PASCAL | ICMCheckColorsInGamut (HCTMTRANSFORM hTransform, LPVOID lpSrc, LPVOID lpDest, DWORD dwCount)
HCTMTRANSFORM _loadds FAR PASCAL | CreateDefTransform (LPVOID lppd)
BOOL _loadds FAR PASCAL | DeleteDefTransform (HCTMTRANSFORM hTransform)

## Define Documentation

#define CM_CMYK CM_CMYK_IN | CM_CMYK_DIB_IN | CM_CMYK_OUT

| Definition at line 53 of file jul98/test/icm.h.

#define CM_CMYK_DIB_IN 0x00000020

| Definition at line 51 of file jul98/test/icm.h.

#define CM_CMYK_IN 0x00000010

| Definition at line 50 of file jul98/test/icm.h.

#define CM_CMYK_OUT 0x00000040

| Definition at line 52 of file jul98/test/icm.h.

#define CM_SEND_CRD 0x00000004

| Definition at line 48 of file jul98/test/icm.h.

#define CM_USE_CRD 0x00000002

| Definition at line 47 of file jul98/test/icm.h.

#define CM_USE_CS 0x00000001

| Definition at line 46 of file jul98/test/icm.h.

#define CM_USE_ICM 0x00000008

| Definition at line 49 of file jul98/test/icm.h.

#define CMS_565WORD 0x00000001

| Definition at line 23 of file jul98/test/icm.h.

#define CMS_BACKWARD 0x00000001

| Definition at line 20 of file jul98/test/icm.h.

#define CMS_BGRTRIPLETS 0x00000004

| Definition at line 25 of file jul98/test/icm.h.

#define CMS_FORWARD 0x00000000

| Definition at line 19 of file jul98/test/icm.h.

#define CMS_GET_DRIVER_LEVEL 0x00000002

| Definition at line 9 of file jul98/test/icm.h.

#define CMS_GET_IDENT 0x00000001

| Definition at line 8 of file jul98/test/icm.h.

#define CMS_GET_RESERVED 0xFFFFFFFC

| Definition at line 10 of file jul98/test/icm.h.

#define CMS_GET_VERSION 0x00000000

| Definition at line 7 of file jul98/test/icm.h.

#define CMS_LEVEL_1 0x00000001

| Definition at line 12 of file jul98/test/icm.h.

#define CMS_LEVEL_2 0x00000002

| Definition at line 13 of file jul98/test/icm.h.

#define CMS_LEVEL_3 0x00000004

| Definition at line 14 of file jul98/test/icm.h.

#define CMS_LEVEL_RESERVED 0xFFFFFFFC

| Definition at line 15 of file jul98/test/icm.h.

#define CMS_QUADS 0x00000020

| Definition at line 28 of file jul98/test/icm.h.

#define CMS_RGBTRIPLETS 0x00000002

| Definition at line 24 of file jul98/test/icm.h.

#define CMS_X555WORD 0x00000000

| Definition at line 22 of file jul98/test/icm.h.

#define CMS_XBGRQUADS 0x00000010

| Definition at line 27 of file jul98/test/icm.h.

#define CMS_XRGBQUADS 0x00000008

| Definition at line 26 of file jul98/test/icm.h.

#define CS_DELETE_TRANSFORM 3

| Definition at line 114 of file jul98/test/icm.h.

#define CS_DISABLE 2

| Definition at line 113 of file jul98/test/icm.h.

#define CS_ENABLE 1

| Definition at line 112 of file jul98/test/icm.h.

#define LCS_CALIBRATED_RGB 0x00000000

| Definition at line 31 of file jul98/test/icm.h.

#define LCS_DEVICE_CMYK 0x00000002

| Definition at line 33 of file jul98/test/icm.h.

#define LCS_DEVICE_RGB 0x00000001

| Definition at line 32 of file jul98/test/icm.h.

#define LCS_GM_BUSINESS 0x00000001

| Definition at line 36 of file jul98/test/icm.h.

#define LCS_GM_DEFAULT 0x00000000

| Definition at line 35 of file jul98/test/icm.h.

#define LCS_GM_GRAPHICS 0x00000002

| Definition at line 37 of file jul98/test/icm.h.

#define LCS_GM_IMAGES 0x00000004

| Definition at line 38 of file jul98/test/icm.h.

#define REVCURVE_RATIO 1

| Definition at line 60 of file jul98/test/icm.h.

## Typedef Documentation

typedef HANDLE HCOLORSPACE

| Definition at line 56 of file jul98/test/icm.h.

typedef DWORD HCTMTRANSFORM

| Definition at line 57 of file jul98/test/icm.h.

typedef struct tagICMINFO ICMINFO

typedef struct tagLOGCOLORSPACE LOGCOLORSPACE

typedef struct tagICMINFO * LPICMINFO

typedef LOGCOLORSPACE FAR* LPLOGCOLORSPACE

| Definition at line 77 of file jul98/test/icm.h.

## Enumeration Type Documentation

enum CSPACESET

Enumeration values:

  CS_DEVICE_RGB |
  CS_DEVICE_CMYK |
  CS_CALIBRATED_RGB |
  CS_SONY_TRINITRON |

Definition at line 90 of file jul98/test/icm.h.

    00090              {CS_DEVICE_RGB = 0, CS_DEVICE_CMYK,
    00091                         CS_CALIBRATED_RGB, CS_SONY_TRINITRON } CSPACESET;

## Function Documentation

BOOL FAR PASCAL CheckColorsInGamut | ( | HDC | ,
|  | LPVOID | ,
|  | LPVOID | ,
|  | DWORD |
| ) |

BOOL _loadds FAR PASCAL CMCheckColorsInGamut | ( | HCTMTRANSFORM | hTransform,
|  | LPVOID | lpSrc,
|  | LPVOID | lpDest,
|  | DWORD | dwCount
| ) |

HCTMTRANSFORM _loadds FAR PASCAL CMCreateTransform | ( | LPLOGCOLORSPACE | lpCS,
|  | LPSTR | lpDevCh,
|  | LPSTR | lpTargetDevCh
| ) |

BOOL _loadds FAR PASCAL CMDeleteTransform | ( | HCTMTRANSFORM | hTransform | ) |

DWORD _loadds FAR PASCAL CMGetInfo | ( | DWORD | dwInfo | ) |

Definition at line 134 of file mscmm/icm32.c.

References CMM_DLL_VERSION, CMM_DRIVER_LEVEL, CMM_IDENT, CMM_VERSION, CMM_WIN_VERSION, CMS_LEVEL_1, and DWORD.

    00135 {
    00136         DWORD ret = 0;
    00137         switch( dwInfo ){
    00138         case CMM_VERSION:
    00139                 ret = 0x00050000;
    00140                 break;
    00141         case CMM_WIN_VERSION:
    00142                 ret = 0x00040000;
    00143                 break;
    00144         case CMM_DLL_VERSION:
    00145                 ret = 0x00010000;
    00146                 break;
    00147         case CMM_IDENT:
    00148                 ret = 'Win ';
    00149                 break;
    00150         case CMM_LOGOICON:
    00151                 ret = 100;
    00152                 break;
    00153         case CMM_DESCRIPTION:
    00154                 ret = 100;
    00155                 break;
    00156         case CMM_DRIVER_LEVEL:
    00157                 ret = CMS_LEVEL_1;
    00158                 break;
    00159         default:
    00160                 ret = 0;
    00161                 break;
    00162         }
    00163         return  ret;
    00164 }

BOOL _loadds FAR PASCAL CMGetPS2ColorRenderingDictionary | ( | LPSTR | lpProfileName,
|  | DWORD | Intent,
|  | MEMPTR | lpMem,
|  | LPDWORD | lpcbSize,
|  | BOOL | AllowBinary
| ) |

BOOL _loadds FAR PASCAL CMGetPS2ColorRenderingIntent | ( | LPSTR | lpProfileName,
|  | DWORD | Intent,
|  | MEMPTR | lpMem,
|  | LPDWORD | lpcbSize
| ) |

BOOL _loadds FAR PASCAL CMGetPS2ColorSpaceArray | ( | LPSTR | lpProfileName,
|  | DWORD | InputIntent,
|  | WORD | InpDrvClrSp,
|  | MEMPTR | lpBuffer,
|  | LPDWORD | lpcbSize,
|  | BOOL | AllowBinary
| ) |

BOOL _loadds FAR PASCAL CMTranslateRGB | ( | HCTMTRANSFORM | hTransform,
|  | RGBQUAD | RGBQuad,
|  | LPVOID | lpResult,
|  | DWORD | dwFlags
| ) |

BOOL _loadds FAR PASCAL CMTranslateRGBs | ( | HCTMTRANSFORM | hTransform,
|  | LPVOID | lpSrc,
|  | DWORD | dwSrcFlags,
|  | DWORD | nSrcWidth,
|  | DWORD | nSrcHeight,
|  | DWORD | nSrcStride,
|  | LPVOID | lpDest,
|  | DWORD | dwDestFlags,
|  | DWORD | dwFlags
| ) |

BOOL FAR PASCAL ColorMatchToTarget | ( | HDC | ,
|  | HDC | ,
|  | WORD |
| ) |

HCOLORSPACE FAR PASCAL CreateColorSpace | ( | LPLOGCOLORSPACE |  | ) |

HCTMTRANSFORM _loadds FAR PASCAL CreateDefTransform | ( | LPVOID | lppd | ) |

BOOL FAR PASCAL DeleteColorSpace | ( | HCOLORSPACE |  | ) |

BOOL _loadds FAR PASCAL DeleteDefTransform | ( | HCTMTRANSFORM | hTransform | ) |

BOOL FAR PASCAL EnableICM | ( | HDC | ,
|  | BOOL |
| ) |

int FAR PASCAL EnumColorProfiles | ( | HDC | ,
|  | FARPROC | ,
|  | LPARAM |
| ) |

| Referenced by CProfile::Enumerate().

BOOL FAR PASCAL FreeImageColorMatcher | ( | HANDLE |  | ) |

BOOL FAR PASCAL GetColorProfile | ( | HDC | ,
|  | LPSTR | ,
|  | WORD |
| ) |

HANDLE FAR PASCAL GetColorSpace | ( | HDC |  | ) |

BOOL FAR PASCAL GetDeviceGammaRamp | ( | HDC | ,
|  | LPVOID |
| ) |

BOOL FAR PASCAL GetLogColorSpace | ( | HCOLORSPACE | ,
|  | LPVOID | ,
|  | DWORD |
| ) |

BOOL _loadds FAR PASCAL ICMCheckColorsInGamut | ( | HCTMTRANSFORM | hTransform,
|  | LPVOID | lpSrc,
|  | LPVOID | lpDest,
|  | DWORD | dwCount
| ) |

HCTMTRANSFORM _loadds FAR PASCAL ICMCreateTransform | ( | LPLOGCOLORSPACE | lpCS,
|  | LPSTR | lpDevCh,
|  | LPSTR | lpTargetDevCh
| ) |

BOOL _loadds FAR PASCAL ICMDeleteTransform | ( | HCTMTRANSFORM | hTransform | ) |

BOOL _loadds FAR PASCAL ICMTranslateRGB | ( | HCTMTRANSFORM | hTransform,
|  | RGBQUAD | RGBQuad,
|  | LPVOID | lpResult,
|  | DWORD | dwFlags
| ) |

BOOL _loadds FAR PASCAL ICMTranslateRGBs | ( | HCTMTRANSFORM | hTransform,
|  | LPVOID | lpSrc,
|  | DWORD | dwSrcFlags,
|  | DWORD | nSrcWidth,
|  | DWORD | nSrcHeight,
|  | DWORD | nSrcStride,
|  | LPVOID | lpDest,
|  | DWORD | dwDestFlags,
|  | DWORD | dwFlags
| ) |

HANDLE FAR PASCAL LoadImageColorMatcher | ( | LPSTR |  | ) |

BOOL FAR PASCAL SetColorProfile | ( | HDC | ,
|  | LPSTR |
| ) |

BOOL FAR PASCAL SetColorSpace | ( | HDC | ,
|  | HCOLORSPACE |
| ) |

BOOL FAR PASCAL SetDeviceGammaRamp | ( | HDC | ,
|  | LPVOID |
| ) |